import '../../../Helper/Constants/Apiconstants.dart';
import '../../../Model/Request/Authentication/Createuser/Createdeliveryaddress/Createdeliveryaddressrequest.dart';
import '../../../Model/Request/Createcustomer/Createcustomerrequest.dart';
import '../../../Model/Response/Createcustomer/Createcustomerresponse.dart';
import '../../../Model/Response/Createcustomer/Createdeliveryaddress/Createdeliveryaddressresponsel.dart';
import '../../Provider/Createcustomer/Createcustomerprovider.dart';

class CreateCustomerRepository{
  CreateCustomerProvider createCustomerProvider = CreateCustomerProvider();

  Future<CreateCustomerResponse?> createCustomer(CreateCustomers data) async {
    var result = await createCustomerProvider.createCustomer(data,'${ApiConstants.createCustomer}');
    return result;
  }

  Future<CreateDeliveryAddressResponse?> createDeliveryAddress(CreateDeliveryAddress data) async {
    var result = await createCustomerProvider.createDeliveryAddress(data,'${ApiConstants.createDeliveryAddress}');
    return result;
  }

}